﻿.carousel-item {
    height: 620px;
}

.prevSlide {
    background-color: rgba(200, 200, 200, 0.5);
    color: #fff;
    border-radius: 50%;
    width: 40px;
    font-size: 40px;
    position: absolute;
    top: 50%;
    left: 50px;
    cursor: pointer;
    z-index: 2;
}

.nextSlide {
    background-color: rgba(200, 200, 200, 0.5);
    color: #fff;
    border-radius: 50%;
    width: 40px;
    font-size: 40px;
    position: absolute;
    top: 50%;
    right: 50px;
    cursor: pointer;
    z-index: 2;
}

.main_site {
    width: 85%;
    margin: 0 auto 20px;
}

.filter {
    display: flex;
    flex-wrap: wrap;
    width: 85%;
}

.form-select {
    font-size: 17px;
    margin-top: 1.5rem;
    padding: 10px;
}

div.search input[type=text] {
    padding: 10px;
    font-size: 17px;
    border: 1px solid #dee2e6;
    border-radius: 0.375rem 0 0 0.375rem;
    float: left;
    width: 88%;
    background: #fff;
}

div.search {
    float: right;
    width: 95%;
    margin-bottom: 1.5rem;
    margin-top: 1.5rem
}

    div.search i {
        float: right;
        width: 12%;
        padding: 14.3px;
        background: #2196F3;
        text-align: center;
        color: white;
        font-size: 17px;
        border: 1px solid #dee2e6;
        border-radius: 0 0.375rem 0.375rem 0;
        border-left: none;
        cursor: pointer;
    }

        div.search i:hover {
            background: #0b7dda;
        }

    div.search::after {
        content: "";
        clear: both;
        display: table;
    }

.businessSite {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.item {
    background-color: rgb(255, 255, 255);
    height: 500px;
    border-radius: 15px;
    cursor: pointer;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    box-sizing: border-box;
}

    .item:hover {
        transform: translateY(-15px) !important;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }

    .item .item_link {
        display: flex;
        flex-direction: column;
        height: 100%;
        width: 100%;
        text-decoration: none;
        color: inherit;
    }

        .item .item_link img {
            width: 100%;
            height: 280px;
        }

        .item .item_link h2 {
            text-align: center;
            padding-top: 10px;
            font-family: 'Calisto MT';
            font-size: 1.7rem;
        }

        .item .item_link .item_info {
            display: flex;
            flex-direction: column;
            flex: 1;
            padding: 0 16px 10px;
        }

            .item .item_link .item_info p {
                margin-bottom: 2px;
                font-family: 'Courier New', Courier, monospace;
                display: flex;
                align-items: center;
            }

            .item .item_link .item_info .bx {
                color: #5C0120;
                font-size: 25px;
                margin-right: 5px; 
            }

            .item .item_link .item_info .location {
                margin-top: auto;
                font-size: 14px;
                font-weight: 550;
            }

.item_animated {
    animation-duration: 2s;
    animation-fill-mode: both;
    -webkit-animation-duration: 2s;
    -webkit-animation-fill-mode: both
}

.animatedFade {
    opacity: 0
}

.fadeInUp {
    opacity: 0;
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
}

@keyframes fadeInUp {
    from {
        transform: translate3d(0, 100px, 0)
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1
    }
}

@-webkit-keyframes fadeInUp {
    from {
        transform: translate3d(0, 100px, 0)
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1
    }
}

@media only screen and (min-height: 800px) {
    .carousel-item {
        height: 700px;
    }
}

@media only screen and (min-height: 1000px) {
    .carousel-item {
        height: 900px;
    }
}

@media only screen and (max-width: 1100px) {
    .businessSite {
        grid-template-columns: repeat(2, 1fr);
    }

    .item h2 {
        font-size: 1.4rem;
        padding-top: 8px;
    }

    .item_info {
        padding-top: 0;
        height: calc(100% -280px);
    }
}

@media only screen and (max-width: 1040px) {
    .carousel-item {
        height: 580px;
    }

    .main_site {
        width: 90%;
    }
}

@media only screen and (max-width: 740px) {
    .carousel-item {
        height: 500px;
    }

    .prevSlide {
        width: 30px;
        font-size: 30px;
        left: 30px;
    }

    .nextSlide {
        width: 30px;
        font-size: 30px;
        right: 30px;
    }

    .businessSite {
        grid-template-columns: repeat(1, 1fr);
        gap: 40px;
    }

    .filter {
        width: 90%;
        display: block;
    }

        .filter .col-5 {
            width: 100%;
        }

        .filter .col-7 {
            width: 100%;
        }

    div.search {
        width: 100%;
    }

        div.search input[type=text] {
            width: 85%;
        }

        div.search i {
            width: 15%;
        }
}

@media only screen and (max-width: 583px) {
    .prevSlide {
        left: 10px;
    }

    .nextSlide {
        right: 10px;
    }
}
